import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/app_theme.dart';
import 'package:sk_base_mobile/constants/constants.dart';
import 'package:sk_base_mobile/screens/inventory_inout/inventory_inout_controller.dart';
import 'package:sk_base_mobile/util/util.dart';

class TodayButton extends StatelessWidget {
  const TodayButton({super.key});

  @override
  Widget build(BuildContext context) {
    final controller = Get.put(InventoryInoutController());
    return InkWell(
      borderRadius: BorderRadius.circular(ScreenAdaper.sp(30)),
      onTap: () => controller.pageController.animateToPage(0,
          duration: const Duration(milliseconds: 300), curve: Curves.easeIn),
      child: Container(
        height: ScreenAdaper.height(70),
        width: ScreenAdaper.width(200),
        alignment: Alignment.center,
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(ScreenAdaper.sp(30)),
            boxShadow: [
              BoxShadow(
                  color: AppTheme.primaryColorLight,
                  offset: Offset(0, ScreenAdaper.height(5)),
                  blurRadius: ScreenAdaper.sp(20))
            ],
            gradient: const LinearGradient(
                begin: Alignment.topLeft,
                end: Alignment.bottomRight,
                colors: [AppTheme.primaryColorLight, AppTheme.primaryColor])),
        child: Text(
          TextEnum.backToTodayButtonText,
          style: TextStyle(
            color: Colors.white,
            fontSize: ScreenAdaper.sp(25),
            fontWeight: FontWeight.bold,
          ),
        ),
      ),
    );
  }
}
